// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef NT_EVENT_SERVICE_H
#define NT_EVENT_SERVICE_H

//
// This class defines the ORBacus Event Service as a native NT Service.
//
class NTEventService : public OBNTService
{
    CORBA_BOA_var boa_; // The BOA
    bool stopped_;

public:

    NTEventService();
    
    virtual void start(int, char**);
    virtual void stop();
};

#endif
